/*
 * @author: Alex Cappiello (acappiel)
 * @date: 11/2/2012
 *
 * Dividing by 0 is bad, right? Actually, it's undefined. This means that there
 * is not guarantee about what will happen when we divide by 0! Here's a
 * slightly different twist on the example shown in lecture. First, compile as
 * $ gcc divby0.c
 * and run it
 * $ ./a.out
 * What happens?
 * Now, compile it as
 * $ gcc divby0.c -O2
 * and run it
 * $ ./a.out
 * What happens? On my computer (notice that doesn't guarantee anything about
 * when you run it), the result is not the same! Adding an optimization flag on
 * the compile line caused the compiler to "optimize" out the division by 0!
 */

#include <stdio.h>

int main () {
  int x = 10/0;
  int y = 10/0;

  if (x == y)
    printf("wtf?\n");
  printf("I survived!\n");

  return 0;
}
